package cn.im.trafficlinkage.model;

import cn.base.bean.BaseBean;
//[交通设备历史状态表]

public class TrafficdevicehisstateBean extends BaseBean implements java.io.Serializable {
	private String ID;//[主键]
	private String currentID;//[原状态ID]
	private String operationType;//[操作类型，代码，1-预案执行；2-人工编辑；3-人工报警；4-初始化预案]
	private String operationId;//[操作主键]
	private String deviceType;//[设备类型，1-信息发布；2-诱导灯联动； 3-大屏上墙； 4-平台通信； 5-语音提醒；6-声光报警；7-短信通知；99-结束预案]
	private String deviceId;//[关联设备ID]
	private String deviceState;//[设备状态，代码，0-不在线；1-在线；2-异常]
	private String alarmCode;//[事故代码，代码，1：交通事故；2：自然灾害；3：恶劣天气；4：严重违法行为；5：路面损毁；6：交通拥堵；7：货物散落；8：特殊事件；99：其他事件；10：恢复]
	private String messageSubject;//[消息指令主题]
	private String messageContent;//[消息指令内容，Led情报板指令：情报板显示文字。交通诱导灯指令：1：绿色；0：红灯。]
	private String messageSendTime;//[消息指令发送时间]
	private String messageSendState;//[消息指令发送状态；代码；1-未执行，2-执行中，3-执行成功，4-执行失败。]
	private String synchronize;//[是否同步，0-未同步，1-已同步]
	private String synchronizeTime;//[同步时间]
	private String createAccount;//[创建人]
	private String createTime;//[创建时间]
	private String modifyAccount;//[修改人]
	private String modifyTime;//[修改时间]
	public void setID(String ID){
		this.ID = ID;
	}
	public String getID(){
		return ID;
	}
	public void setCurrentID(String currentID){
		this.currentID = currentID;
	}
	public String getCurrentID(){
		return currentID;
	}
	public void setOperationType(String operationType){
		this.operationType = operationType;
	}
	public String getOperationType(){
		return operationType;
	}
	public void setOperationId(String operationId){
		this.operationId = operationId;
	}
	public String getOperationId(){
		return operationId;
	}
	public void setDeviceType(String deviceType){
		this.deviceType = deviceType;
	}
	public String getDeviceType(){
		return deviceType;
	}
	public void setDeviceId(String deviceId){
		this.deviceId = deviceId;
	}
	public String getDeviceId(){
		return deviceId;
	}
	public void setDeviceState(String deviceState){
		this.deviceState = deviceState;
	}
	public String getDeviceState(){
		return deviceState;
	}
	public void setAlarmCode(String alarmCode){
		this.alarmCode = alarmCode;
	}
	public String getAlarmCode(){
		return alarmCode;
	}
	public void setMessageSubject(String messageSubject){
		this.messageSubject = messageSubject;
	}
	public String getMessageSubject(){
		return messageSubject;
	}
	public void setMessageContent(String messageContent){
		this.messageContent = messageContent;
	}
	public String getMessageContent(){
		return messageContent;
	}
	public void setMessageSendTime(String messageSendTime){
		this.messageSendTime = messageSendTime;
	}
	public String getMessageSendTime(){
		return messageSendTime;
	}
	public void setMessageSendState(String messageSendState){
		this.messageSendState = messageSendState;
	}
	public String getMessageSendState(){
		return messageSendState;
	}
	public void setSynchronize(String synchronize){
		this.synchronize = synchronize;
	}
	public String getSynchronize(){
		return synchronize;
	}
	public void setSynchronizeTime(String synchronizeTime){
		this.synchronizeTime = synchronizeTime;
	}
	public String getSynchronizeTime(){
		return synchronizeTime;
	}
	public void setCreateAccount(String createAccount){
		this.createAccount = createAccount;
	}
	public String getCreateAccount(){
		return createAccount;
	}
	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}
	public String getCreateTime(){
		return createTime;
	}
	public void setModifyAccount(String modifyAccount){
		this.modifyAccount = modifyAccount;
	}
	public String getModifyAccount(){
		return modifyAccount;
	}
	public void setModifyTime(String modifyTime){
		this.modifyTime = modifyTime;
	}
	public String getModifyTime(){
		return modifyTime;
	}
}